package com.zcloud.personnel.positioning.api;

import com.alibaba.cola.dto.PageResponse;
import com.zcloud.personnel.positioning.dto.PositionVehiclePageQry;
import com.zcloud.personnel.positioning.dto.clientobject.OptionCO;
import com.zcloud.personnel.positioning.dto.clientobject.PositionVehicleCO;

import java.util.List;

public interface PositionVehicleServiceI {
    PageResponse<PositionVehicleCO> list(PositionVehiclePageQry qry);

    List<OptionCO> listCompanyOptions(String keyword);

    PositionVehicleCO queryById(Long vehicleId);
}
